3

Trying to install Adobe Air 2.6. After using Sudo ./AdobeAIRInstaller.bin

I come up with the following error:

/tmp/air.Fic6yA/setup: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

Any help on this error would be greatly appreciated.

EDIT: After trying to use the prepackaged files linked from Michael below, I get the following error:

(Reading database ... 374649 files and directories currently installed.)
Preparing to unpack adobeair_2.6.0.19170-devolo1_amd64.deb ...
Unpacking adobeair (1:2.6.0.19170-devolo1) over (1:2.6.0.19170-devolo1) ...
dpkg: dependency problems prevent configuration of adobeair:
 adobeair depends on ia32-libs-gtk | devolo-ia32-libs; however:
  Package ia32-libs-gtk is not installed.
  Package devolo-ia32-libs is not installed.

dpkg: error processing package adobeair (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 adobeair
2
  • Ready made packages are available here: update.devolo.com/linux/apt/pool/main/a/adobeair – user692175 Aug 19 '17 at 19:00
  • 1
    I get the following: 'dpkg: dependency problems prevent configuration of adobeair: adobeair depends on ia32-libs-gtk | devolo-ia32-libs; however: Package ia32-libs-gtk is not installed. Package devolo-ia32-libs is not installed. dpkg: error processing package adobeair (--install): dependency problems - leaving unconfigured Errors were encountered while processing: adobeair' – Anon Aug 19 '17 at 22:24
4

You need to install these dependencies

sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 libnss-mdns:i386 libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libgnome-keyring0:i386 libxaw7

add make these links

sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
sudo ln -sf /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0

then install AdobeAir from the Adobe website

wget -O AdobeAIRInstaller.bin http://airdownload.adobe.com/air/lin/download/2.6/AdobeAIRInstaller.bin
chmod +x AdobeAIRInstaller.bin
sudo ./AdobeAIRInstaller.bin

then remove the links

sudo rm /usr/lib/libgnome-keyring.so.0
sudo rm /usr/lib/libgnome-keyring.so.0.2.0

source

0

After much trial and error, I did sudo apt-get -f install after attempting to install the prepackaged i386 version. This installed what I needed and I was able to use Adobe Air.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.